Subject: Re: nfs root problem in linux-next

From: Mark Salter <[email-masked]>
Date: Fri, 29 Jun 2012 10:48:48 -0400

On Fri, 2012-06-29 at 13:55 +0000, Myklebust, Trond wrote:
> Hi Mark and Fengguang,
> 
> I believe that I've found the bug that was being triggered in the
> above
> patch. It was a mistake in the earlier patch "SUNRPC: Don't decode
> beyond the end of the RPC reply message", which was failing to
> correctly
> initialise the xdr->nwords field.
> 
> I've now fixed it and updated the linux-next branch.

Yes, I can confirm that today's linux-next is booting correctly
for me on an nfsroot.

Thanks!